Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Zwei Probleme in Django
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in Django
ID: USN-3254-1
Distribution: Ubuntu
Plattformen: Ubuntu 12.04 LTS, Ubuntu 14.04 LTS, Ubuntu 16.04 LTS, Ubuntu 16.10
Datum: Di, 4. April 2017, 22:37
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7234
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7233

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============4231854132185318107==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="vm2CUJaiBpimGPbCS4Qdkkjw43Vthrhx8"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--vm2CUJaiBpimGPbCS4Qdkkjw43Vthrhx8
Content-Type: multipart/mixed;
boundary="kftQbSkdfWlWIBN7dExvuPSPGgFaLJ9Ad"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <2627445d-c6e9-77ae-3232-85fda5a0a71d@canonical.com>
Subject: [USN-3254-1] Django vulnerabilities

--kftQbSkdfWlWIBN7dExvuPSPGgFaLJ9Ad
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-3254-1
April 04, 2017

python-django vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 16.10
- Ubuntu 16.04 LTS
- Ubuntu 14.04 LTS
- Ubuntu 12.04 LTS

Summary:

Several security issues were fixed in Django.

Software Description:
- python-django: High-level Python web development framework

Details:

It was discovered that Django incorrectly handled numeric redirect URLs. A
remote attacker could possibly use this issue to perform XSS attacks, and
to use a Django server as an open redirect. (CVE-2017-7233)

Phithon Gong discovered that Django incorrectly handled certain URLs when
the jango.views.static.serve() view is being used. A remote attacker could
possibly use a Django server as an open redirect. (CVE-2017-7234)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 16.10:
python-django 1.8.7-1ubuntu8.2
python3-django 1.8.7-1ubuntu8.2

Ubuntu 16.04 LTS:
python-django 1.8.7-1ubuntu5.5
python3-django 1.8.7-1ubuntu5.5

Ubuntu 14.04 LTS:
python-django 1.6.11-0ubuntu1.1

Ubuntu 12.04 LTS:
python-django 1.3.1-4ubuntu1.23

In general, a standard system update will make all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-3254-1
CVE-2017-7233, CVE-2017-7234

Package Information:
https://launchpad.net/ubuntu/+source/python-django/1.8.7-1ubuntu8.2
https://launchpad.net/ubuntu/+source/python-django/1.8.7-1ubuntu5.5
https://launchpad.net/ubuntu/+source/python-django/1.6.11-0ubuntu1.1
https://launchpad.net/ubuntu/+source/python-django/1.3.1-4ubuntu1.23



--kftQbSkdfWlWIBN7dExvuPSPGgFaLJ9Ad--

--vm2CUJaiBpimGPbCS4Qdkkjw43Vthrhx8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJY4+EuAAoJEGVp2FWnRL6TXhkP/ip5vyA4XVKtx6r14iF3n7FK
6kpyFyswaA8ADzqYw3yl9NCl9gUV/Jf1pcMlpOH9b1jHWRQZg+xzYDNHHiE1j94N
jmvYURMy6nhLKA9XMXXmhMPIbq5+PGe7iass9PFFsOYSwqgURC4cxz74gZOGHTuZ
jwQBPnuFsXThmAvXKLS0R7ldVylbwgpsE0PDgjVT/V3j6JL1Y/0YOkTPPfNssyF3
w0EvRJro7euZsu4dYBK3w+E39QiEq90ZktOBKzGkNHtwMiM4RKlT4sw4skL6IUV/
DUPGFm3v4Qvo3+UVCtAY0ZR28LA7roRkSMV9594no6MxCNpNhuQGbLKrJd16eTui
1agpXGx1xJ8MaIo0M8gY1iH9ARs8h5BPFXwhbJIMILxGFE3ZJVuAtNSKwn0EguOe
B4gzzMwx6mNtYFwvZgUc0QWWH6YKr9eGFkLUKnG5qSkJIdArl5FS7R/wsN/C4bfQ
dXPcAhTTKo2JbzEDnmloJxqz/LDAw5zaQFdZ/Ip7zEI9PBunihSi1zjNnFq6TeLq
cpAPRIDR/F5jwA0NXFBsjmITzJ+bmMnuVYfXmJNKz1eOdUNzphbVw19F2zqCJsWu
iUosJo/GpFlpNkfbqX/0s8+DP96c5Bz06cGxDu6ZGv3b0O98mNS5W0I8vzE3anRn
L8R/3PTDaTDJmPtMhogQ
=+aIZ
-----END PGP SIGNATURE-----

--vm2CUJaiBpimGPbCS4Qdkkjw43Vthrhx8--


--===============4231854132185318107==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============4231854132185318107==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung